Bug 1624664 (CVE-2018-14627)

Summary: CVE-2018-14627 JBoss/WildFly: iiop does not honour strict transport confidentiality
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: alazarot, anstephe, bmaxwell, cdewolf, chazlett, csutherl, darran.lofthouse, dimitris, dosoudil, drieden, etirelli, ibek, jawilson, jshepherd, krathod, kverlaen, lgao, lpetrovi, myarboro, paradhya, pdrozd, pgier, psakar, pslavice, psotirop, rnetuka, rrajasek, rsvoboda, rsynek, rzhang, sdaley, sthorger, twalsh, vtunka
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20170719,reported=20180823,source=internet,cvss3=5.3/CVSS:3.0/AV:N/AC:H/PR:L/UI:N/S:U/C:H/I:N/A:N,cwe=CWE-319,jdg-7/wildfly-iiop-openjdk=affected,eap-7/wildfly-iiop-openjdk=affected,rhdm-7/wildfly-iiop-openjdk=wontfix,rhsso-7/wildfly-iiop-openjdk=affected
Fixed In Version: wildfly 14.0.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:37:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1620311    

Description Sam Fowler 2018-09-03 01:57:27 UTC
The IIOP OpenJDK Subsystem in WildFly before version 14.0.0 does not honour configuration  when SSL transport is required. Servers before this version that are configured with the  following setting allow clients to create plaintext connections:

<transport-config confidentiality="required" trust-in-target="supported"/>


Upstream Bug:

https://issues.jboss.org/browse/WFLY-9107


Upstream Pull Request:

https://github.com/wildfly/wildfly/pull/10675

Comment 2 errata-xmlrpc 2018-11-08 15:30:27 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2018:3527 https://access.redhat.com/errata/RHSA-2018:3527

Comment 3 errata-xmlrpc 2018-11-08 15:40:58 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 6

Via RHSA-2018:3529 https://access.redhat.com/errata/RHSA-2018:3529

Comment 4 errata-xmlrpc 2018-11-08 15:52:31 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 7

Via RHSA-2018:3528 https://access.redhat.com/errata/RHSA-2018:3528

Comment 5 errata-xmlrpc 2018-11-13 18:20:55 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.2.5 zip

Via RHSA-2018:3595 https://access.redhat.com/errata/RHSA-2018:3595